---
title: AudioTrack.enabled
slug: Web/API/AudioTrack/enabled
tags:
  - Audio
  - AudioTrack
  - HTML DOM
  - Media
  - Media Controls
  - Media Track
  - Property
  - Reference
  - Video
  - enabled
  - mute
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("AudioTrack")}}</strong> property <code><strong>enabled</strong></code> specifies whether or not the described audio track is currently enabled for use. If the track is disabled by setting <code>enabled</code> to <code>false</code>, the track is muted and does not produce audio.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>isAudioEnabled</em> = <em>AudioTrack</em>.enabled;

<em>AudioTrack</em>.enabled = <em>true</em> | <em>false</em>;</pre>

<h3 id="Value">Value</h3>

<p>The <code>enabled</code> property is a Boolean whose value is <code>true</code> if the track is enabled; enabled tracks produce audio while the media is playing. Setting <code>enabled</code> to <code>false</code> effectively mutes the audio track, preventing it from contributing to the media's audio performance.</p>

<h2 id="Example">Example</h2>

<p>This example switches between the main and commentary audio tracks of a media element.</p>

<pre class="brush: js">function swapCommentaryMain() {
  var videoElem = document.getElementById("main-video");
  var audioTrackMain;
  var audioTrackCommentary;

  videoElem.audioTracks.forEach(track) {
    if (track.kind === "main") {
      audioTrackMain = track;
    } else if (track.kind === "commentary") {
      audioTrackCommentary = track;
    }
  }

  if (audioTrackMain &amp;&amp; audioTrackCommentary) {
    var commentaryEnabled = audioTrackCommentary.enabled;
    audioTrackCommentary.enabled = audioTrackMain.enabled;
    audioTrackMain.enabled = commentaryEnabled;
  }
}
</pre>

<p>The <code>swapCommentaryMain()</code> function above finds within the audio tracks of the {{HTMLElement("video")}} element <code>"main-video"</code> the audio tracks whose {{domxref("AudioTrack.kind", "kind")}} values are <code>"main"</code> and <code>"commentary"</code>. These represent the primary audio track and the commentary track.</p>

<div class="note">
<p><strong>Note:</strong> This example assumes that there is only one of each kind of track in the video, but this is not necessarily the case.</p>
</div>

<p>The element's audio tracks are then scanned through using the JavaScript {{jsxref("Array.forEach", "forEach()")}} method (although the {{domxref("HTMLMediaElement.audioTracks", "audioTracks")}} property of a media element isn't actually a JavaScript array, it can be accessed like one for the most part).</p>

<p>The scan looks for the tracks whose {{domxref("AudioTrack.kind", "kind")}} values are <code>"main"</code> and <code>"commentary"</code> and remembers those {{domxref("AudioTrack")}} objects. Once those have been found, the values of the two tracks' <code>enabled</code> properties are exchanged, which results in swapping which of the two tracks is currently active.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#dom-audiotrack-enabled', 'AudioTrack.enabled')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'embedded-content-0.html#dom-audiotrack-enabled', 'AudioTrack.enabled')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrack.enabled")}}</p>
